meinproc breaks after security update in libxml

Bug #1324066 reported by Jonathan Riddell on 2014-05-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kde4libs (Ubuntu)
Undecided
Jonathan Riddell
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Saucy
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Jonathan Riddell

Bug Description

The recent security update in libxml breaks documentation compiling in kde apps with meinproc
http://www.ubuntu.com/usn/usn-2214-1/

This review contains a fix
https://git.reviewboard.kde.org/r/118270/

Jonathan Riddell (jr) wrote :

Uploaded to utopic. Uploaded to -proposed for trusty, saucy, quantal, precise and lucid awaiting approval by ~ubuntu-sru. Also uploaded to trusty ~kubuntu-ppa for updates PPA.

TEST CASE:
compile a KDE application with documentation (I used kolf). It will not work with libxml with the USN-2214-1 update until with kde4libs update is also installed.

Hello Jonathan, or anyone else affected,

Accepted kde4libs into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kde4libs/4:4.13.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kde4libs (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in kde4libs (Ubuntu Saucy):
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

Hello Jonathan, or anyone else affected,

Accepted kde4libs into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kde4libs/4:4.11.5-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kde4libs (Ubuntu Precise):
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

Hello Jonathan, or anyone else affected,

Accepted kde4libs into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kde4libs/4:4.8.5-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kde4libs (Ubuntu Quantal):
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

Hello Jonathan, or anyone else affected,

Accepted kde4libs into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kde4libs/4:4.9.5-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kde4libs (Ubuntu Utopic):
assignee: nobody → Jonathan Riddell (jr)
Changed in kde4libs (Ubuntu Lucid):
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

Hello Jonathan, or anyone else affected,

Accepted kde4libs into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/kde4libs/4:4.4.5-0ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.13.0-0ubuntu5

---------------
kde4libs (4:4.13.0-0ubuntu5) utopic; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security
    fix broke it LP: #1324066
 -- Jonathan Riddell <email address hidden> Wed, 28 May 2014 13:15:55 +0100

Changed in kde4libs (Ubuntu Utopic):
status: New → Fix Released
Jonathan Riddell (jr) wrote :

I set up fresh ec2 machines of trusty, saucy, quantal, precise and a chroot of lucid.

I installed security updates, downloaded the kolf source (kdegames in older versions) and built the doc/ directory. The generated index.cache.bz2 files were empty.

After installing kdoctools (kdelibs-bin in lucid) from -proposed, I ran make clear; make and this time the generated index.cache.bz2 files were full of html.

tags: added: verification-done-precise verification-done-saucy verification-done-trusty verification-failed-lucid
Jonathan Riddell (jr) on 2014-05-29
tags: added: verification-done-lucid verification-done-quantal
removed: verification-failed-lucid verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.9.5-0ubuntu0.3

---------------
kde4libs (4:4.9.5-0ubuntu0.3) quantal; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security fix
    broke it LP: #1324066
 -- Jonathan Riddell <email address hidden> Wed, 28 May 2014 14:08:57 +0100

Changed in kde4libs (Ubuntu Quantal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kde4libs has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.4.5-0ubuntu1.3

---------------
kde4libs (4:4.4.5-0ubuntu1.3) lucid; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security fix
    broke it LP: #1324066
 -- Jonathan Riddell <email address hidden> Wed, 28 May 2014 14:08:55 +0100

Changed in kde4libs (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.8.5-0ubuntu0.3

---------------
kde4libs (4:4.8.5-0ubuntu0.3) precise; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security fix
    broke it LP: #1324066
 -- Jonathan Riddell <email address hidden> Wed, 28 May 2014 14:08:56 +0100

Changed in kde4libs (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.11.5-0ubuntu0.2

---------------
kde4libs (4:4.11.5-0ubuntu0.2) saucy; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security fix
    broke it LP: #1324066
 -- Jonathan Riddell <email address hidden> Wed, 28 May 2014 14:08:58 +0100

Changed in kde4libs (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.13.0-0ubuntu1.1

---------------
kde4libs (4:4.13.0-0ubuntu1.1) trusty; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security
    fix broke it LP: #1324066
 -- Jonathan Riddell <email address hidden> Wed, 28 May 2014 11:41:58 +0100

Changed in kde4libs (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers